Skip to main content
PATCH
/
v1
/
reviews
/
{id}
/
publish
Publish
curl --request PATCH \
  --url https://{defaultHost}/v1/reviews/{id}/publish \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/reviews/{id}/publish"

headers = {"Authorization": "Bearer <token>"}

response = requests.patch(url, headers=headers)

print(response.text)
const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/reviews/{id}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3a821b8d-9948-416e-9da9-b223b970d02f",
  "object": "review",
  "body": "Really enjoyed using this.",
  "status": "published",
  "title": "Great Product",
  "stars": 4.5,
  "verified": false,
  "customer": "c1778ca2-2778-45b9-975f-c568d0552417",
  "product": "9448afa9-7f1f-4a24-b838-dca00cbdae27",
  "purchase": null,
  "created_at": 1782485897,
  "updated_at": 1782485897
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

title
string | null

The title of the review.

body
string | null

The content/body of the review.

stars
number<float> | null

The numerical rating provided in the review. Can be a decimal from 1.0 to 5.0.

status
string | null

The status of the review (e.g. in_review, published, unpublished).

verified
boolean

Indicates whether the reviewer has purchased the product (based on presence of a purchase).

customer

Expandable – The associated customer ID.

product

Expandable – The associated product ID.

purchase

Expandable – The associated purchase ID.

review_medias

Expandable – Property not returned unless expanded.

discarded_at
integer | null

Time at which the object was discarded. Measured in seconds since the Unix epoch.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.